Set a single configuration parameter

Open in Claude

Any configuration parameter can be set by using this command.

Note: After PUT /api/v1/sensor/config/{param} request is received successfully, the sensor will reinitialize automatically to make the new configuration active, and the config settings are persisted across power cycles.

Path parameters

paramenumRequired

Query parameters

targetenumOptionalDefaults to persisted
Specifies which configuration target to set: * `staged`: Updates the configuration for incremental validation without committing the changes to hardware. The staged configuration will be committed when the `active` or `persisted` target is specified **Note:** Parameters will be range checked, but will not be validated for mutual compatibility until the configuration is made active * `active`: Commits the staged configuration to hardware * `persisted`: Equivalent to `active` but saves the configuration to non-volatile memory if it passes validation
Allowed values:

Request

A JSON object containing the details of a single config item

Response

Command succeeded

Errors

400
Bad Request Error